#include <stdlib.h>

#include "dte_pronouncer.h"


#if defined(__WIN32__) || defined(_WIN32)
char modelPath[] = "models\\cantsee2.dt";
#else
char modelPath[] = "models/cantsee2.dt";
#endif


extern void getProbabilities(int p, int s, double *probs);
extern void getUtilities(int p, double *utils);


void makeModel(int modelId)
{
    double values[14];

    getProbabilities(1, 2, values);
    getProbabilities(4, 2, values + 2);
    getUtilities(4, values + 10);
    setModelValues(modelId, 0, 14, values);
}
